@keyframes tooltipFading {
	from {
		opacity: 0;
		transform: translateY( -10px );
	}
	to {
		opacity: 1;
		transform: translateY( 0 );
	}
}

/* contains tooltip styling */
[data-tooltip="true"] {
	cursor: pointer;
}

.tooltip-container {
	position: fixed;
    z-index: 5000;
	user-select: none;
	pointer-events: none;
	max-width: 20rem;
	background-color: #333333;
	color: #ffffff;
	line-height: 1.43333333;
	padding: 8px 10px;
	border-radius: 5px;
	font-size: 12px;
	margin-top: 6px;
	box-shadow: 0 0 1rem rgba( 0, 0, 0, .15 );
	transition: opacity 0.5s;
	animation-name: tooltipFading;
	animation-duration: .5s;
	
	&:before {
		content: '';
		position: absolute;
		bottom: 100%;
		left: 50%;
		margin-left: -7px;
		width: 0; 
		height: 0;
		border-left: 7px solid transparent;
		border-right: 7px solid transparent;
		border-bottom: 6px solid #333333;		
	}
}